Contents

# DefStr Statement

유형 선언 문자 또는 키워드가 지정되지 않은 경우 DefStr 문은 문자 범위에 따라 기본 변수 유형을 설정합니다.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameters:

char: Letter prefix that specifies default data type for variables.

char-char: Letter range prefixes that specify default data type for variables.

### Example:

        REM Prefix definitions for variable types:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefStr
          sStr=String REM sStr is an implicit string variable
          Print VarType(slice), strng, TypeName(sheet) ' Result is: 8 "" String
      End Sub